Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVParagraphTraceType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVParagraphTraceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVParagraphTraceType extends Object implements Serializable

Java class for ConsultChapterIVParagraphTraceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVParagraphTraceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="ParentChapterName" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           <attribute name="ParentParagraphName" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVParagraphTraceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getCreatedTimestamp()`
  Record created on
  `String`
  `getCreatedUserId()`
  Record created by
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getModificationStatus()`
  Indicates the reason of eventual updating.
  `String`
  `getParentChapterName()`
  The name of the chapter containing the parent paragraph.
  `String`
  `getParentParagraphName()`
  The name of the parent paragraph or subparagraph, which for the presumed chapters, is limited to an identification number.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setCreatedTimestamp(Instant value)`
  Sets the value of the createdTimestamp property.
  `void`
  `setCreatedUserId(String value)`
  Sets the value of the createdUserId property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setModificationStatus(String value)`
  Sets the value of the modificationStatus property.
  `void`
  `setParentChapterName(String value)`
  Sets the value of the parentChapterName property.
  `void`
  `setParentParagraphName(String value)`
  Sets the value of the parentParagraphName property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVParagraphTraceType

    public ConsultChapterIVParagraphTraceType()

- ## Method Details

  - ### getCreatedTimestamp

    public Instant getCreatedTimestamp()
    Record created on
    Returns:
      possible object is `String`

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(Instant value)
    Sets the value of the createdTimestamp property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedTimestamp()`

  - ### getCreatedUserId

    public String getCreatedUserId()
    Record created by
    Returns:
      possible object is `String`

  - ### setCreatedUserId

    public void setCreatedUserId(String value)
    Sets the value of the createdUserId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedUserId()`

  - ### getModificationStatus

    public String getModificationStatus()
    Indicates the reason of eventual updating. ‘C’orrected, ‘E’volved
    Returns:
      possible object is `String`

  - ### setModificationStatus

    public void setModificationStatus(String value)
    Sets the value of the modificationStatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getModificationStatus()`

  - ### getParentChapterName

    public String getParentChapterName()
    The name of the chapter containing the parent paragraph. See the entity PARAGRAPH for more details.
    Returns:
      possible object is `String`

  - ### setParentChapterName

    public void setParentChapterName(String value)
    Sets the value of the parentChapterName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getParentChapterName()`

  - ### getParentParagraphName

    public String getParentParagraphName()
    The name of the parent paragraph or subparagraph, which for the presumed chapters, is limited to an identification number. See the entity PARAGRAPH for more details.
    Returns:
      possible object is `String`

  - ### setParentParagraphName

    public void setParentParagraphName(String value)
    Sets the value of the parentParagraphName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getParentParagraphName()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`